# Archive File Reference

`#include <osgDB/ReaderWriter>`
`#include <osgDB/Registry>`
`#include <fstream>`
`#include <list>`

Include dependency graph for Archive:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgDB

## Defines

#define | OSGDB_ARCHIVE 1

## Functions

OSGDB_EXPORT Archive * | openArchive (const std::string &filename, Archive::ArchiveStatus status, unsigned int indexBlockSizeHint=4096)
| Open an archive for reading or writing.
OSGDB_EXPORT Archive * | openArchive (const std::string &filename, Archive::ArchiveStatus status, unsigned int indexBlockSizeHint, ReaderWriter::Options *options)
| Open an archive for reading or writing.

## Define Documentation

#define OSGDB_ARCHIVE 1

## Function Documentation

osgDB::Archive * osgDB::openArchive | ( | const std::string & | filename,
|  | Archive::ArchiveStatus | status,
|  | unsigned int | indexBlockSizeHint,
|  | ReaderWriter::Options * | options
| ) |

| Open an archive for reading or writing.

osgDB::Archive * osgDB::openArchive | ( | const std::string & | filename,
|  | Archive::ArchiveStatus | status,
|  | unsigned int | indexBlockSizeHint = `4096`
| ) |

| Open an archive for reading or writing.